Priject/src/beans/Recipe.java
package beans;

import java.io.Serializable;
import java.util.List;

import dao.MaterialDao;
import dao.ProcessDao;
import dao.RecipetagDao;


public class Recipe implements Serializable {
	private int id; //foodinsertベーステーブルの
	private String foodimgpass; //投稿料理の画像パス
	private String foodname; //料理名
	private String time; //所要時間
	private String cost; //パスワード
	private String cal; //カロリー
	private String comments; //コメント
	private String servings; //人前
	private String createDate; //投稿日時
	private String updateDate; //更新日時
	private int good = 0; //おいしかったボタンカウント
	private int great = 0; //とてもおいしかったボタンカウント
	private int usersid; //ユーザーテーブルの固有自動採番id

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getFoodimgpass() {
		return foodimgpass;
	}

	public void setFoodimgpass(String foodimgpass) {
		this.foodimgpass = foodimgpass;
	}

	public String getFoodname() {
		return foodname;
	}

	public void setFoodname(String foodname) {
		this.foodname = foodname;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getCost() {
		return cost;
	}

	public void setCost(String cost) {
		this.cost = cost;
	}

	public String getCal() {
		return cal;
	}

	public void setCal(String cal) {
		this.cal = cal;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getServings() {
		return servings;
	}

	public void setServings(String servings) {
		this.servings = servings;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

	public int getGood() {
		return good;
	}

	public void setGood(int good) {
		this.good = good;
	}

	public int getGreat() {
		return great;
	}

	public void setGreat(int great) {
		this.great = great;
	}

	public int getUsersid() {
		return usersid;
	}

	public void setUsersid(int usersid) {
		this.usersid = usersid;
	}

//	 以下結合テーブル情報　↓タグテーブル。foreachのitemsの名前を設定するところでこのgetTagListで設定すればRecipetagDaoで入れたインスタンスの中身がここにある為、それらが順番に出力される。

	public List<Tag> getTagList() {
		return RecipetagDao.getTagListByRecipeId(this.id);
	}

	// 以下↑の文と仕組みが一緒↓材料テーブル。foreachのvarの名前でこのbeansで設定したlist名にすればMaterialDaoで入れたインスタンスの中身がここにある為、それらが順番に出力される。
	public List<Material> getMaterialList() {
		return MaterialDao.getMaterialListByRecipeId(this.id);
	}

	// 以下結合テーブル情報　↓調理手順テーブル。foreachのvarの名前でこのbeansで設定したlist名にすればProcessDaoで入れたインスタンスの中身がここにある為、それらが順番に出力される。
	public List<Processset> getProcessList() {
		return ProcessDao.getProcessListByRecipeId(this.id);
	}



}

Priject/src/controll/FoodCreateResultServlet.java
package controll;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


@WebServlet("/FoodCreateResultServlet")
public class FoodCreateResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public FoodCreateResultServlet() {
		super();
		// TODO Auto-generated constructor stub
	}


	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		HttpSession session = request.getSession();
		//文字化け対策
		request.setCharacterEncoding("UTF-8");

		//foodcreate.jsp画面表示
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/foodcreateresult.jsp");
		dispatcher.forward(request, response);

	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//文字化け対策
		request.setCharacterEncoding("UTF-8");

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/foodcreateresult.jsp");
		dispatcher.forward(request, response);

	}

}

Priject/src/controll/FoodDeleteResultServlet.java
package controll;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebServlet("/FoodDeleteResultServlet")
public class FoodDeleteResultServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public FoodDeleteResultServlet() {
		super();

	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//文字化け対策
		request.setCharacterEncoding("UTF-8");

		HttpSession session = request.getSession();

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/fooddeleteresult.jsp");
		dispatcher.forward(request, response);

	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//文字化け対策
		request.setCharacterEncoding("UTF-8");

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/fooddeleteresult.jsp");
		dispatcher.forward(request, response);

	}

}

Priject/src/controll/FoodDeleteServlet.java
package controll;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Recipe;
import dao.FavoriteDao;
import dao.MaterialDao;
import dao.ProcessDao;
import dao.RecipeinsertDao;
import dao.RecipetagDao;

@WebServlet("/FoodDeleteServlet")
public class FoodDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public FoodDeleteServlet() {
		super();

	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//文字化け対策
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();
		try {
		//前の画面のrecipeidを取得
		//レシピid取得
		String preid = request.getParameter("id");
		int recipeid=Integer.parseInt(preid);

		RecipeinsertDao recipe=new RecipeinsertDao();
		Recipe recipeList= recipe.outputrecipeinsert(recipeid);

		request.setAttribute("recipe",recipeList);
		request.setAttribute("id",recipeid);

		//userdelete.jsp画面表示
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/fooddelete.jsp");
		dispatcher.forward(request, response);
		} catch (SQLException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}

	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub

		//文字化け対策
		request.setCharacterEncoding("UTF-8");


		HttpSession session = request.getSession();
		//前の画面のrecipeidを取得
		//レシピid取得
		String preid = request.getParameter("id");
		int recipeid=Integer.parseInt(preid);

		//sql処理
		RecipeinsertDao recipeinsert=new RecipeinsertDao();
		recipeinsert.recipeinsertdelete(recipeid);

		MaterialDao material=new MaterialDao();
		material.materialdelete(recipeid);

		ProcessDao process=new ProcessDao();
		process.processdelete(recipeid);

		RecipetagDao tag=new RecipetagDao();
		tag.recipetagdelete(recipeid);

		FavoriteDao favorite=new FavoriteDao();
		favorite.favoritdelete(recipeid);


		//リダイレクト
		response.sendRedirect("FoodDeleteResultServlet");
	}

}

Priject/src/controll/FoodDetailServlet.java
package controll;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Recipe;
import beans.User;
import dao.FavoriteDao;
import dao.GoodgreatDao;
import dao.RecipeinsertDao;
import dao.UserDao;

@WebServlet("/FoodDetailServlet")
@MultipartConfig(location = "C:\\Users\\LIKEIT_STUDENT.DESKTOP-0CS8D75.000.001\\Documents\\myfoods\\Priject\\WebContent\\img", maxFileSize = 5242880)

public class FoodDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public FoodDetailServlet() {
		super();

	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//文字化け対策utf-8
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();
		try {
			//ユーザー情報取得し、もしあったら、レシピ詳細画面にはおいしかったボタンとてもおいしかったボタン、お気に入りボタンを表示させるための判定用の値が入った変数を用意。
			User loginUser = (User) session.getAttribute("loginUser");
			if (loginUser != null) {
				String name = loginUser.getLoginId();//ユーザーログインid
				int userid = 0;
				userid = loginUser.getId();//ユーザー固有のid

				//レシピIDを取得。トップページでallaylistに入れ込んでStringになったidを受け取り、intにparseIntでキャスト
				String preid = request.getParameter("id");
				int id = Integer.parseInt(preid);
				request.setAttribute("loginUser", loginUser);

				//お気に入りボタン表示管理

				//お気に入りボタンの判定用どちらのボタンを表示させるか0ならお気に入りそれより大きければ解除ボタン。
				FavoriteDao favorite = new FavoriteDao();
				boolean isFavorite = favorite.findfavorits(userid, id);
				//お気に入りボタン出現判定用の変数をJSPへ
				request.setAttribute("isFavorite", isFavorite);

				//recipeinsertDaoのおいしかった　とてもおいしかったボタンを表示
				GoodgreatDao appeargoodgreatbuttons = new GoodgreatDao();
				boolean isgood = appeargoodgreatbuttons.findgood(userid, id);
				boolean isgreat = appeargoodgreatbuttons.findgreat(userid, id);

				//お気に入りボタン出現判定用の変数をJSPへ
				request.setAttribute("isGood", isgood);
				request.setAttribute("isGreat", isgreat);
			}

			//以下日ログインユーザー用の表示画面(上記の3つのボタンを表示させない。)

			//トップページから遷移した時のレシピid取得。トップページでallaylistに入れ込んでStringになったidを受け取り、intにparseIntでキャスト
			String preid = request.getParameter("id");
			int id = Integer.parseInt(preid);

			//idを基に検索、料理の詳細を表示
			//使うdaoインスタンス作成
			RecipeinsertDao recipe = new RecipeinsertDao();
			Recipe recipeList = recipe.outputrecipeinsert(id);
			UserDao user = new UserDao();
			String nicname = user.searchnicnamebyuserid(recipeList.getUsersid());

			request.setAttribute("recipedetail", recipeList);
			request.setAttribute("usernicname", nicname);

			//goodとgreatの集計数を表示
			int goodsum=0;
			int greatsum=0;
			GoodgreatDao syuukei = new GoodgreatDao();
			goodsum=syuukei.goodsum(id);
			greatsum=syuukei.greatsum(id);

			//daoメソッドで取得したカウントをそれぞれJSPへ
			request.setAttribute("goodsum", goodsum);
			request.setAttribute("greatsum", greatsum);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/fooddetail.jsp");
			dispatcher.forward(request, response);
		} catch (Exception e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
			response.sendRedirect("Error");
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();
		try {

			//sessionからuser情報取得
			User loginUser = (User) session.getAttribute("loginUser");
			String name = loginUser.getLoginId();//ユーザーログインid

			//お気に入りに登録したいレシピid とお気に入りしたuserのidを取得
			int recipeid = Integer.parseInt(request.getParameter("recipeid"));
			int userid = loginUser.getId();//ユーザー固有のid

			//jsp画面のsyorihantei nameの値取得
			boolean isFavorite = Boolean.valueOf(request.getParameter("syorihantei"));

			//お気に入りボタンが押された時の処理
			//まだ押してなかった場合
			if (!isFavorite) {
				FavoriteDao favorite = new FavoriteDao();
				favorite.favoritsinsert(recipeid, userid);
				//既に押されていた場合、
			} else {
				FavoriteDao favorite = new FavoriteDao();
				favorite.deletefavorit(recipeid, userid);

			}

			request.setAttribute("isFavorite", isFavorite);
			//↓ここでgetパラメーターに値を渡す事ができる。getでredirectする際応用できる。
			response.sendRedirect("FoodDetailServlet?id=" + recipeid);
		} catch (SQLException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
			response.sendRedirect("Error");
		}
	}

}

Priject/src/controll/FoodListServlet.java
package controll;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Recipe;
import dao.RecipeinsertDao;

@WebServlet("/FoodListServlet")
@MultipartConfig(location = "C:\\Users\\LIKEIT_STUDENT.DESKTOP-0CS8D75.000.001\\Documents\\myfoods\\Priject\\WebContent\\img", maxFileSize = 5242880)
public class FoodListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public FoodListServlet() {
		super();
	}

	final static int PAGE_MAX_ITEM_COUNT = 5;

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();

		try {
			//キーワード,日付取得
			String keyword = (String) request.getParameter("keyword");
			String createDate = (String) request.getParameter("createDate");
			String createDate2 = (String) request.getParameter("createDate2");
			//keyword　name　に文字が入っていたら

				//表示ページ番号 未指定の場合 1ページ目を表示　ページ番号をgetparameterで取得し、それがnullなら取得した番号のうちの1番目と設定
				int pageNum = Integer
						.parseInt(request.getParameter("page_num") == null ? "1" : request.getParameter("page_num"));

				//Recipeインスタンス用意
				Recipe recipebeans = new Recipe();
				//ArrayList<Recipe>型インスタンス用意
				List<Recipe> recipeList = new ArrayList<Recipe>();
				//RecipeinsertDaoインスタンス用意
				RecipeinsertDao searchrecipeList = new RecipeinsertDao();
				//RecipeinsertDaoメソッド実行


				//keyword、createdate createdate2の検索メソッド　同時にページング処理
				recipeList = searchrecipeList.searchfoods(keyword, createDate, createDate2,pageNum,PAGE_MAX_ITEM_COUNT);


				// 検索ワードに対しての総ページ数を取得
				double itemCount = RecipeinsertDao.searchfoodsCount(keyword, createDate, createDate2);
				int pageMax = (int) Math.ceil(itemCount / PAGE_MAX_ITEM_COUNT);

				//総アイテム数
				request.setAttribute("itemCount", (int) itemCount);
				// 総ページ数
				request.setAttribute("pageMax", pageMax);
				// 表示ページ
				request.setAttribute("pageNum", pageNum);
				request.setAttribute("recipeList", recipeList);
				System.out.println("true");
				session.setAttribute("keyword",keyword);
				session.setAttribute("createDate",createDate);
				session.setAttribute("createDate2",createDate2);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/foodlist.jsp");
			dispatcher.forward(request, response);
		} catch (Exception e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
			session.setAttribute("errorMessage", e.toString());
			response.sendRedirect("Error");
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		HttpSession session = request.getSession();
		//1.文字コード設定
		request.setCharacterEncoding("UTF-8");
		try {

			response.sendRedirect("FoodListServlet");
		} catch (Exception e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}
	}

}

Priject/src/controll/LoginServlet.java
package controll;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.UserDao;

@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public LoginServlet() {
		super();
	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//文字コード設定
		request.setCharacterEncoding("UTF-8");

		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");
		//取得した入力項目を入れた引数を使い、DAOに入れる
		UserDao dao = new UserDao();
		User loginuser = dao.loginsessions(loginId, password);

		if (loginuser == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "ログインに失敗しました。");

			// ログインjspにフォワードして戻る
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		HttpSession session = request.getSession();
		session.setAttribute("loginUser", loginuser);
		// toppageサーブレットにリダイレクト(getアクセス)
		response.sendRedirect("ToppageServlet");
	}

}

Priject/WebContent/WEB-INF/jsp/fooddetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
<meta charset="UTF-8">
<title></title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
<link href="css/s.css" rel="stylesheet" type="text/css" />
</head>

<body>
	<jsp:include page="/baselayout/header.jsp" />

	<div class="wrapper">
		<div class="maxwidth80">
			<div class="container-fluid">
				<div class="white">
					<div class="row py-1">
						<div class="col-sm-6" align="left">
							<h2>${recipedetail.foodname}</h2>
						</div>
						<div class="col-sm-6">
							<ul class="row">
								<li class="col"><h4>費用:${recipedetail.cost}</h4></li>
								<li class="col"><h4>所要時間:${recipedetail.time}</h4></li>
								<li class="col"><h4>cal:${recipedetail.cal}</h4></li>
							</ul>
						</div>
					</div>

					<div class="row">
						<img src="img/${recipedetail.foodimgpass}" id=""
							name="newpiclavel" alt="写真" width="700" height="500">
						<div class="col">
							<div>${recipedetail.comments}</div>
							<p></p>
							<div class="float-right py-3 row">投稿者:${usernicname}</div>
							<div>
								<p></p>
							</div>
							<div class=" mt-5 row">
							<c:if test="${loginUser.loginId!=null}">

							<c:if test="${isGood}">
							<form action="GoodButtonServlet" method="get">
							<div class="col-sm-3">
							<input type="hidden" value="${isGood}" name="isGood">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-secondary">美味(評価を解除)</button>
							</div>
							</form>
							</c:if>
							<c:if test="${!isGood}">
							<form action="GoodButtonServlet" method="get">
							<div class="col-sm-3">
							<input type="hidden" value="${isGood}" name="isGood">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-success">おいしかった</button>
							</div>
							</form>
							</c:if>

							<c:if test="${isGreat}">
							<form action="GoodButtonServlet" method="post">
							<div class="col-sm-2">
							<input type="hidden" value="${isGreat}" name="isGreat">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-secondary">超美味(評価を解除)</button>
							</div>
							</form>
							</c:if>
							<c:if test="${!isGreat}">
							<form action="GoodButtonServlet" method="post">
							<div class="col-sm-2">
							<input type="hidden" value="${isGreat}" name="isGreat">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-danger">!!!!!とてもおいしかった!!!!!</button>
							</div>
							</form>
							</c:if>
							</c:if>
							</div>
						</div>
					</div>
					<div class="row">
					<div class="col-sm-4 text-success font-weight-bold" align="right">
							おいしかったと思った人 "${goodsum}"人
					</div>
					<div class="col-sm-4 text-danger font-weight-bold" align="right">
							とてもおいしかったと思った人 "${greatsum}"人
					</div>
					</div>
					<div class="row ">
					<div class="col-sm-12" align="center"><h5>T a g s</h5></div>
					</div>
					<div class="m-1 row">
						<!-- tag -->
						<!--↓Recipebeansのインスタンスを参照させて、そのインスタンスが入っているbeansを参照させて、その性質を利用してgetTagList()を参照させている。-->
						<c:forEach var="tag" items="${recipedetail.tagList}">
							<a class="col-1"> ${tag.tagname} </a>
						</c:forEach>
						<!--↑参照させたgetTagList()に入っているメソッドで入れ込んだ変数名を指定すること。 -->
					</div>

					<div class="row">
						<div class="col">
							<div class="font-weight-light font-italic" align="right">投稿日:${recipedetail.createDate}</div>
						</div>
					</div>
				</div>
				<h1 class="">使用材料　　　　　　　　　　　　　　調理手順</h1>
				<div class="row">
					<!--使用材料-->
					<div class="col-sm-6 listbox white">
						<ul>
							<li class="py-2 text-right" >${recipedetail.servings}人前当たりの量</li>
							<c:forEach var="material" items="${recipedetail.materialList}">
								<li><strong>${material.material}</strong><em>${material.quantity}</em>
									|</li>
							</c:forEach>
						</ul>
					</div>
					<!--調理手順-->
					<div class="col-sm-6  white">
						<ul>
							<li>
								<div class="row py-1">
								<c:forEach var="process" items="${recipedetail.processList}">
									<div class="col-sm-1 py-1" align="left">
										${process.processnumber}
									</div>
									<div class="col-sm-3 py-1" align="left">
									<img src="img/${process.processimgpass}"  alt="写真"width="120" height="85" align="left">
									</div>
									<div class="col-sm-8 py-1" align="left">
									${process.proces}
									</div>

								</c:forEach>
								</div>
							</li>
						</ul>
					</div>
				</div>

				<div class="row">
					<div class="col-sm-6  white text-right">

					</div>

					<div class="col-sm-6  white ">
						<div class="row">
							<div class="col-sm-3" align="left">
								<button class="btn btn-primary" onclick="window.print();">印刷する</button>
							</div>
							<c:if test="${loginUser.loginId!=null}">

							<c:if test="${isFavorite}">
							<form action="FoodDetailServlet" method="post">
							<div class="col-sm-3 ">
							<input type="hidden" value="${isFavorite}" name="syorihantei">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-secondary">お気に入り済(もう一度押してこのレシピをお気に入り解除する)</button>
							</div>
							</form>
							</c:if>
							<c:if test="${!isFavorite}">
							<form action="FoodDetailServlet" method="post">
							<div class="col-sm-3 ">
							<input type="hidden" value="${isFavorite}" name="syorihantei">
							<input type="hidden" value="${recipedetail.id}" name="recipeid">
								<button class="btn btn-success">このレシピをお気に入りに保存する</button>
							</div>
							</form>
							</c:if>
							</c:if>
						</div>
					</div>
				</div>
			</div>
		</div>
		<footer>
			<p class="m-1">(c)copy right</p>
		</footer>

	</div>
</body>

</html>